#!/bin/bash

# sed -e

CLICK_ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
CLICK_FRAMEWORK=ubuntu-sdk-16.04.5

pkgver=v1.2.3
srcdir=$BUILD_DIR
pkgdir=$INSTALL_DIR
mkdir -p $srcdir $pkgdir

git clone https://github.com/00-Evan/shattered-pixel-dungeon
cd shattered-pixel-dungeon/
git stash
git pull
rm -r android ios
./gradlew desktop:release

cd ../
cp shattered-pixel-dungeon/desktop/build/libs/*.jar $pkgdir/ShatteredPD.jar

cp $ROOT/manifest.json $pkgdir/
sed -i "s/@CLICK_ARCH@/$CLICK_ARCH/g" $pkgdir/manifest.json
sed -i "s/@CLICK_FRAMEWORK@/$CLICK_FRAMEWORK/g" $pkgdir/manifest.json
cp $ROOT/shatteredpd.apparmour $pkgdir/
cp $ROOT/shatteredpd.desktop $pkgdir/
cp $ROOT/shatteredpd.wrapper $pkgdir/
cp $ROOT/shatteredpd.png $pkgdir/
chmod a+x $pkgdir/shatteredpd.wrapper

exit 0
